/*!
 * Copyright 2019 EPAM Systems
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

.status-indicator {
  height: 7px;
  width: 7px;

  &.status-passed {
    background-color: $COLOR--passed;
  }

  &.status-failed {
    background-color: $COLOR--failed;
  }

  &.status-skipped {
    background-color: $COLOR--skipped;
  }

  &.status-untested {
    background-color: $COLOR--untested;
  }

  &.status-running {
    background-color: $COLOR--running;
  }
}

.retry {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  justify-content: flex-start;
  align-content: flex-start;
  align-items: center;
  height: 20px;
  border: 1px solid $COLOR--gray-91;
  margin: 2px 5px 2px 0;
  padding: 0 12px 0 13px;
  background-color: $COLOR--white-two;
  cursor: pointer;
  user-select: none;
}

.selected {
  background-color: $COLOR--gray-91;
  color: $COLOR--topaz;
  cursor: default;
}

.name {
  margin-left: 3px;
}
